org.richfaces.fragment.message

## Enum Message.MessageType

- java.lang.Object
- - java.lang.Enum<Message.MessageType>
  - - org.richfaces.fragment.message.Message.MessageType

- All Implemented Interfaces:
    Serializable, Comparable<Message.MessageType>
  Enclosing interface:
    Message

      public static enum Message.MessageType
      extends Enum<Message.MessageType>

  Represents the severity of the messages represented by Message component.
  Author:
    Jiri Stefek

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `FATAL`
    `INFORMATION`
    `OK`
    `WARNING`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Message.MessageType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Message.MessageType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### FATAL

          public static final Message.MessageType FATAL

    - #### ERROR

          public static final Message.MessageType ERROR

    - #### INFORMATION

          public static final Message.MessageType INFORMATION

    - #### WARNING

          public static final Message.MessageType WARNING

    - #### OK

          public static final Message.MessageType OK

  - ### Method Detail

    - #### values

          public static Message.MessageType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Message.MessageType c : Message.MessageType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Message.MessageType valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2016 JBoss by Red Hat. All Rights Reserved.